ch.qos.logback.classic.sift

## Class SiftingJoranConfigurator

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.GenericConfigurator
    - - ch.qos.logback.core.sift.SiftingJoranConfiguratorBase<ILoggingEvent>
      - - ch.qos.logback.classic.sift.SiftingJoranConfigurator

All Implemented Interfaces:
  ContextAware

    public class SiftingJoranConfigurator
    extends SiftingJoranConfiguratorBase<ILoggingEvent>

### Field Summary

### Fields inherited from class ch.qos.logback.core.sift.SiftingJoranConfiguratorBase

`key, parentPropertyMap, value`

### Fields inherited from class ch.qos.logback.core.joran.GenericConfigurator

`interpreter`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Method Summary

Methods
`protected void` `addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)`
`protected void` `addInstanceRules(RuleStore rs)`
`protected void` `buildInterpreter()`
`Appender<ILoggingEvent>` `getAppender()`
`protected ElementPath` `initialElementPath()`

### Methods inherited from class ch.qos.logback.core.sift.SiftingJoranConfiguratorBase

`addImplicitRules, doConfigure, oneAndOnlyOneCheck, toString`

### Methods inherited from class ch.qos.logback.core.joran.GenericConfigurator

`doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, informContextOfURLUsedForConfiguration, recallSafeConfiguration, registerSafeConfiguration`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### initialElementPath

    protected ElementPath initialElementPath()

Overrides:
  `initialElementPath` in class `GenericConfigurator`

#### addInstanceRules

    protected void addInstanceRules(RuleStore rs)

Overrides:
  `addInstanceRules` in class `SiftingJoranConfiguratorBase<ILoggingEvent>`

#### addDefaultNestedComponentRegistryRules

    protected void addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)

Overrides:
  `addDefaultNestedComponentRegistryRules` in class `GenericConfigurator`

#### buildInterpreter

    protected void buildInterpreter()

Overrides:
  `buildInterpreter` in class `GenericConfigurator`

#### getAppender

    public Appender<ILoggingEvent> getAppender()

Specified by:
  `getAppender` in class `SiftingJoranConfiguratorBase<ILoggingEvent>`